Identity, people & notifications
Create Action Request
Creates an action request with type, payload, approver type/ID and identifier via ActionRequestService.
POSThttps://api.toku.com/platform/create-action-request
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/platform/create-action-request' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"type": "TEST_TYPE",
"payload": {},
"approverType": "TOKU_ADMIN",
"identifier": "string",
"approverID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"actionRequest": {
"actionRequestID": "string",
"type": "TEST_TYPE",
"orgID": "string",
"createdByID": "string",
"status": "PENDING",
"identifier": "string",
"createdAt": "string",
"updatedAt": "string",
"approverID": "string",
"approverType": "TOKU_ADMIN",
"isClosed": true
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
typestringrequiredAvailable options: TEST_TYPE
payloadobjectapproverTypestringrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT
identifierstringrequiredAllowed: 1 to 200 characters
approverIDstring<uuid>Response
200Successful response
actionRequestobjectrequiredShow child attributes
actionRequestIDstringrequiredtypestringrequiredAvailable options: TEST_TYPE
orgIDstringrequiredcreatedByIDstringrequiredstatusstringrequiredAvailable options: PENDING, APPROVED, DENIED, CANCELLED
identifierstringrequiredpayloadanyrequiredcreatedAtstringrequiredupdatedAtstringrequiredapproverIDstring | nullrequiredapproverTypestringrequiredAvailable options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT
isClosedbooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits